using System;

public interface InterfaceWfFade
{
	void OnStartedFadeIn();

	void OnStartedFadeOut();

	void OnUpdateFadeIn(float val);

	void OnUpdateFadeOut(float val);

	void OnCompleteFadeIn();

	void OnCompleteFadeOut();
}
